********************************************************************************
**	  FIGURE R1. TENDS IN EFFECTIVE MINIMUM WAGE (2019$) AND TEEN FERTILITY.  **
********************************************************************************

cap cd "/Users/rebecca.margolit/Dropbox/CHEPS/minwagefertility/replication"
cap cd "C:\Users\CHEPS Laptop 1\Dropbox (University of Oregon)\minwagefertility\replication"
global inputs "Data/"
global outputs "Output/"
 
********************************************************************************

** load data 
use  ${inputs}fertilitymaster_2023_07_19_1995_2019.dta,  clear
	
keep if inrange(year, 2003,2019)

** Create annual birthrate and minimum wage averages
	collapse (sum)adolescentbr (mean)mw_2019a femalepop, by (st_fips year)
	asgen adolescentbr_m= adolescentbr, w(femalepop) by (year)
	asgen mw_2019_am = mw_2019a, w(femalepop) by (year)
	
bys year: egen adolescentbrmean = mean(adolescentbr)
bys year: egen mwmean = mean(mw_2019a) 

** labels
	label var adolescentbrmean "Unweighted National Adolescent Birthrate"
	label var mw_2019_am "Effective Minimum Wage (2019$)"
	label var adolescentbr_m "Teen Birth Rate"
	label var mwmean "Unweighted Real Minimum Wage"
	label var year "Year"


twoway (connected adolescentbr_m year, yaxis(1) yscale(range(10(5)45)) ylabel(0 5 10 15 20 25 30 35 40 45) scale(0.6) xlabel(2003 2005 2007 2009 2011 2013 2015 2017 2019, valuelabel) ytitle("Births per 1,000 Females Aged 15-19 Years", axis(1)) msize(vlarge) msymbol(X) lcolor(black) mcolor(black) graphregion(color(white))) ////
 (connected mw_2019_am year, yaxis(2) ytitle("Minimum Wage, 2019$", axis(2)) yscale(range(7(0.5)10)) ylabel(7 7.5 8 8.5 9 9.5 10, axis(2)) msize(medsmall) lcolor(gray) mcolor(gray) graphregion(color(white))) 
 graph export "${outputs}figure_r1.png", replace

