********************************************************************************
** Table 1. TWO-WAY FIXED EFFECTS (TWFE) ESTIMATES OF EFFECT OF MINIMUM WAGE  **
** 							INCREASES AND TEEN FERTILITY					  **
********************************************************************************

cap cd "/Users/rebecca.margolit/Dropbox/CHEPS/minwagefertility/replication"
cap cd "C:\Users\CHEPS Laptop 1\Dropbox (University of Oregon)\minwagefertility\replication"
global inputs "Data/"
global outputs "Output/"


global demographic "lagproportion_nhw_adolescents lagproportion_nhb_adolescents lagproportion_h_adolescents lagproportion_17_adolescents lagproportion_18_adolescents lagproportion_19_adolescents lagproportion_msa_adolescents"
global macrocontrols "lagmedicaidfamplan lagstateeitcrate lageitcrefund lagprimeageunempq lagrealwage_primeq laghpiq lagmaxsnaptanf_2019"
global sexcontrols "lagparental_involv lagcontraceptive_cov lagsexed lagmandatory_wait lagmedfund"
global political "lagdemgov lagfrachousedem lagfracsenatedem missingdemgov missingfrachouse missingfracsenate"

 
********************************************************************************
 use ${inputs}fertilitymaster_2023_07_19_1995_2019.dta, clear
keep if inrange(year,2003,2019)
drop if year==2003 & quarter<4 //this is just how our data is

drop time 
bys st_fips: gen time = _n

eststo clear
** 5 models
	* state and year FE 
		eststo: reghdfe adolescentbr lagmw_2019a [w=femalepop], absorb(st_fips time) cl(st_fips)
		estadd ysumm, mean
		
	* + Demogrsphic controls 
		eststo: reghdfe adolescentbr lagmw_2019a $demographic [w=femalepop], absorb(st_fips time) cl(st_fips)
		estadd ysumm, mean
		
	* + Economic controls 
		eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols [w=femalepop], absorb(st_fips time) cl(st_fips)
		estadd ysumm, mean
		
	* + Reproductive Health Policy Controls 
		eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols [w=femalepop], absorb(st_fips time) cl(st_fips)
		estadd ysumm, mean
		
	* + Political Controls 
		eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols $political [w=femalepop], absorb(st_fips time) cl(st_fips)
		estadd ysumm, mean

** table
esttab using ${outputs}table_r1.rtf, replace ///
 keep (lagmw_2019a) ///
 se ///
star(* 0.10 ** 0.05 *** 0.01) ///
 scalars (ymean N) onecell


	
