************************************************************************
**	  TABLE R8. TWFE ANALYSIS OF MINIMUM WAGES AND TEEN FERTILITY     **
************************************************************************

cap cd "/Users/rebecca.margolit/Dropbox/CHEPS/minwagefertility/replication"
cap cd "C:\Users\CHEPS Laptop 1\Dropbox (University of Oregon)\minwagefertility\replication"
global inputs "Data/"
global outputs "Output/"
 
***************************** TWFE ***************************************************
 use ${inputs}fertilitymaster_2023_07_19_1995_2019.dta, clear
keep if inrange(year,1995,2019)
gen post03 = (year==2003 & quarter==4) | year>2003 //this is just how our data is

drop time 
bys st_fips: gen time = _n

eststo clear


/*======= TWFE =========*/		
* Bullinger Period
	eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols $political [w=femalepop] if year<=2014 & post03==1, absorb(st_fips time) cl(st_fips)
	estadd ysumm, mean

* 1995-2017
	eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols $political [w=femalepop] if year<=2017, absorb(st_fips time) cl(st_fips)
	estadd ysumm, mean

/*
* 1995-2019: Ref didn't want it
	eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols $political [w=femalepop] if year <=2019, absorb(st_fips time) cl(st_fips)
	estadd ysumm, mean
*/
	
* 2003-2019
	eststo: reghdfe adolescentbr lagmw_2019a $demographic $macrocontrols $sexcontrols $political [w=femalepop] if year<=2019 & post03==1, absorb(st_fips time) cl(st_fips)
	estadd ysumm, mean
		
** table
esttab using ${outputs}table_r8.rtf, replace ///
 keep (lagmw_2019a) ///
 se ///
star(* 0.10 ** 0.05 *** 0.01) ///
 scalars (ymean N) onecell
 
 